ScalaBasePlugin (Gradle API 2.14.1)

Package: org.gradle.api.plugins.scala

## [Java] Class ScalaBasePlugin

- org.gradle.api.plugins.scala.ScalaBasePlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class ScalaBasePlugin
      extends groovy.lang.GroovyObjectSupport

  A Plugin which compiles and tests Scala sources.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `SCALA_RUNTIME_EXTENSION_NAME` |
    `static String` | `ZINC_CONFIGURATION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScalaBasePlugin (org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`
    `static String` | `getSCALA_RUNTIME_EXTENSION_NAME()`
    `static String` | `getZINC_CONFIGURATION_NAME()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String SCALA_RUNTIME_EXTENSION_NAME

    - #### @com.google.common.annotations.VisibleForTesting public static final String ZINC_CONFIGURATION_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject public ScalaBasePlugin(org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)

  - ### Method Detail

    - #### public void apply(Project project)

    - #### public static String getSCALA_RUNTIME_EXTENSION_NAME()

    - #### public static String getZINC_CONFIGURATION_NAME()